package de.communardo.confluence.plugins.displaysubspace;

import java.util.List;
import java.util.Map;

import com.atlassian.confluence.util.velocity.VelocityUtils;

/**
 * Utility Class to render the hierarchy.
 * 
 * @author Bill Martin
 * 
 */
public class HierarchyRenderer {

    private HierarchyRenderer() {

    }

    /**
     * 
     * @param contextMap
     * @param velocityTemplatePath
     * @param permittedSpaces
     * @return
     */
    public static String render(Map<String, Object> contextMap, String velocityTemplatePath,
            String velocityNodeTemplatePath, String currentSpace, List permittedSpaces) {
        contextMap.put("treeNodeRenderer", new TreeNodeRenderer(contextMap,
                velocityNodeTemplatePath, currentSpace, permittedSpaces));
        return VelocityUtils.getRenderedTemplate(velocityTemplatePath, contextMap);
    }
}